/**
 * @file
 * Add referrer URL tracking to Matomo tracking code.
 */

/* eslint func-names: "off", object-shorthand: "off", prefer-template: "off", strict: "off" */
(function (Drupal, once) {
  'use strict';

  Drupal.behaviors.piwikNoscript = {
    attach: function (context, settings) {
      once('piwik-noscript', 'body').forEach(function () {
        const xhr = new XMLHttpRequest();
        xhr.open(
          'POST',
          settings.piwikNoscript.url.replace(
            'urlref=',
            'urlref=' + encodeURIComponent(document.referrer)
          )
        );
        xhr.withCredentials = true;
        xhr.send();
      });
    },
  };
})(Drupal, once);
